--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

InfoAjutor = {};

function InfoAjutor.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function InfoAjutor:load(xmlFile)
	self.showHelp = false;
end;

function InfoAjutor:delete()
end;

function InfoAjutor:mouseEvent(posX, posY, isDown, isUp, button)
end;

function InfoAjutor:keyEvent(unicode, sym, modifier, isDown)
end;

function InfoAjutor:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function InfoAjutor:updateTick(dt)
end;


function InfoAjutor:draw()
	if not self.showHelp then
		renderText(0.8335, 0.18, 0.02, "Taste Numpad 0: Info Ajutor");
	 else
		-- Koordinaten sind aus der Universal1010DT.lua - Autor Mihai94
		renderText(0.8335, 0.18, 0.02, "Tasta Numpad 0: Info Ajutor");
		
          renderText(0.62, 0.84, 0.025, "- Universal1010DT Info -");			
		
          renderText(0.62, 0.815, 0.02, "Tasta Home: Ridica Tirantii");
		
          renderText(0.62, 0.8, 0.02, "Tasta End: Lasa Tirantii");
		
          renderText(0.62, 0.785, 0.02, "Tasta Numpad Period: Porneste Motorul");			
		
          renderText(0.62, 0.77, 0.02, "Tasta Numpad Enter: Tractiune 4X4/4X2");
		
          renderText(0.62, 0.755, 0.02, "Tasta X: Greutate Fata");
		
          renderText(0.62, 0.74, 0.02, "Tasta Numpad 7: Usa Stanga");
		
          renderText(0.62, 0.725, 0.02, "Tasta Numpad 8: Capota");
		
          renderText(0.62, 0.71, 0.02, "Tasta Numpad 9: Usa Dreapta");
		
          renderText(0.62, 0.695, 0.02, "Tasta Numpad 4: Turela");
		
          renderText(0.62, 0.68, 0.02, "Tasta Numpad 5: Geam Spate");
          
          renderText(0.62, 0.665, 0.02, "Tasta J: Ridica Brat Frontal");
          
          renderText(0.62, 0.65, 0.02, "Tasta N: Lasa Brat Frontal");
          
          renderText(0.62, 0.635, 0.02, "Tasta K: Lasa Cupa Fata");
          
          renderText(0.62, 0.635, 0.02, "Tasta M: Lasa Cupa Spate");
		
          renderText(0.62, 0.62, 0.02, "Tasta Numpad 6: Apare/Dispare Brat Frontal");
		
          renderText(0.62, 0.605, 0.02, "Tasta F2: Semnalizare Stanga");
		
          renderText(0.62, 0.59, 0.02, "Tasta F3: Avarii");
          
          renderText(0.62, 0.565, 0.025, "Tasta F4: Semnalizare Dreapta");
          
          renderText(0.62, 0.55, 0.02, "Tasta F5: FAza Lunga");
          
          renderText(0.62, 0.535, 0.02, "Tasta F: Faza Scurta/Proiectoare Spate");
          
          renderText(0.62, 0.52, 0.02, "by Mihai94");
	end;
end;

function InfoAjutor:onLeave()
	self.showHelp = false;
end;




